V1MeCompany campaignsIdParticipation
/v1/me/company-campaigns/{id}/participation
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/me/company-campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/participation" \ -H "Content-Type: application/json" \ -d '{ "rulesVersion": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "opted_in" }'{ "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf", "status": "opted_in", "rulesVersion": "string", "consentAt": "2019-08-24T14:15:22Z"}